Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# LinesTables2005 Class Reference

The class implements a lines-based Monte Carlo self-localization. More...

`#include <LinesTables2005.h>`

Inheritance diagram for LinesTables2005:

[legend]
Collaboration diagram for LinesTables2005:

[legend]
List of all members.

## Public Types
typedef ObservationTable< 320, 240, 25, 25 > | ObsTable
typedef TemplateTable< 65000, 25 > | TempTable
## Public Member Functions
| LinesTables2005 ()
| Constructor.
| ~LinesTables2005 ()
| Destructor.
## Static Public Attributes
Field | field
| The field.
ObsTable * | observationTable = 0
| The table maps points to closest edges.
TempTable * | templateTable = 0
| The table contains candidate poses for certain distance measurements.
int | refCount = 0
| A reference counter that ensures that the tables are only (de)allocated once.

## Detailed Description

The class implements a lines-based Monte Carlo self-localization.

Definition at line 20 of file LinesTables2005.h.

## Member Typedef Documentation

typedef ObservationTable<320,240,25,25> LinesTables2005::ObsTable

| Definition at line 260 of file LinesTables2005.h.

typedef TemplateTable<65000, 25> LinesTables2005::TempTable

| Definition at line 262 of file LinesTables2005.h.

## Constructor & Destructor Documentation

LinesTables2005::LinesTables2005 | ( |  | ) |

| Constructor. Definition at line 23 of file LinesTables2005.cpp. References TemplateTable< TEMPLATES_MAX, POINT_RES >::create(), ObservationTable< xSize, ySize, cellSize, pointRes >::create(), InFile::exists(), field, fileName, idText, observationTable, LinesTables2004::ObsTable, OUTPUT, refCount, templateTable, and LinesTables2004::TempTable.

Here is the call graph for this function:

LinesTables2005::~LinesTables2005 | ( |  | ) |

| Destructor. Definition at line 58 of file LinesTables2005.cpp. References observationTable, refCount, and templateTable.

## Member Data Documentation

Field LinesTables2005::field`[static]`

| The field. Definition at line 13 of file LinesTables2005.cpp. Referenced by LinesTables2005().

LinesTables2005::ObsTable * LinesTables2005::observationTable = 0`[static]`

| The table maps points to closest edges. Definition at line 14 of file LinesTables2005.cpp. Referenced by LinesTables2005(), and ~LinesTables2005().

LinesTables2005::TempTable * LinesTables2005::templateTable = 0`[static]`

| The table contains candidate poses for certain distance measurements. Definition at line 15 of file LinesTables2005.cpp. Referenced by LinesTables2005(), and ~LinesTables2005().

int LinesTables2005::refCount = 0`[static]`

| A reference counter that ensures that the tables are only (de)allocated once. Definition at line 16 of file LinesTables2005.cpp. Referenced by LinesTables2005(), and ~LinesTables2005().

The documentation for this class was generated from the following files:

- Modules/SelfLocator/LinesTables2005.h
- Modules/SelfLocator/LinesTables2005.cpp